public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Maciej Barć" <xgqt@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-misc/croc/
Date: Thu,  7 Mar 2024 17:38:07 +0000 (UTC)	[thread overview]
Message-ID: <1709833081.63edc899ead6d92cc1b97076df501253d094b31d.xgqt@gentoo> (raw)

commit:     63edc899ead6d92cc1b97076df501253d094b31d
Author:     Armas Spann <zappel <AT> simple-co <DOT> de>
AuthorDate: Thu Mar  7 02:50:54 2024 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Thu Mar  7 17:38:01 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=63edc899

net-misc/croc: add 9.6.13

Signed-off-by: Armas Spann <zappel <AT> simple-co.de>
Closes: https://github.com/gentoo/gentoo/pull/35646
Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 net-misc/croc/Manifest           |  2 ++
 net-misc/croc/croc-9.6.13.ebuild | 47 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 49 insertions(+)

diff --git a/net-misc/croc/Manifest b/net-misc/croc/Manifest
index 63520fadfe5d..e13fe4a96768 100644
--- a/net-misc/croc/Manifest
+++ b/net-misc/croc/Manifest
@@ -1,3 +1,5 @@
+DIST croc-9.6.13-vendor.tar.xz 975216 BLAKE2B af70a58b6ae553029ff3c9b0e58c90d5d46ad7b9480e2fb7dd18a92c2b04854a68fde243b0dd149fdc7eba2c267e093510a93f63110f7fe073b25c95361e3d40 SHA512 f1200882ec634971c7c84b313d3a5bb2af533ef500f715d2908046fb9c481ec48fbda3cbb4a2ff93694fc19821a0e62e287b42b578aeca8ec19a3418c0b7bae0
+DIST croc-9.6.13.tar.gz 512627 BLAKE2B a3bf8f844a68af6ef3fc23d82168b70c92fa26485a5bf76b6ea6a4b21b2a328e7318edcd5d38ac860bd5c1fb29c3ddf01583ce9b6bef0f2d7bf98b224f683552 SHA512 c0734f7f73d6bb4eac2558733d0d04d9793760e24b02a12fbadef5a67f88be4d9f2036933a6881c8da613a6c2d47b529b5a40e02830eff7f99319059cb0b61fe
 DIST croc-9.6.6-vendor.tar.xz 972376 BLAKE2B ad1f77ef5d26ace05edffd3628da3c1ab393549d17761c70c3302e35179587097657a1d1e82f9be1732fb5d7df9a2f0eac6e003c43b0767d56662d87a5159d51 SHA512 53fc2af249ff62b702587bd89155c5432415dc6d8d8643453cb6d17f46b74cf669ecc7f06a5f64da459c690858126202be365d25ec31e73840621de2bf68faba
 DIST croc-9.6.6.tar.gz 511129 BLAKE2B 550228f7911ffbeac656fe7930f879db7ab8630e52acbd8a859a14219673937f2994d3fd02e42999754e5a701b9b3296ab7907c231fac2e4a37c51588b864190 SHA512 0e3dec57d0d1337c9f45c81fa71f6d9673cc76f5c53ae9b0068f9e388788c433debebb536a43ec578b58e80b9da482949ff16cc63a883b8085fbec54a932bde2
 DIST croc-9.6.9-vendor.tar.xz 974884 BLAKE2B d6d061fd8259126dc107de3efcae3a023c9a8db44ba96343350360c6d321d73720d1079d46927f65d9ea1001e6421751241d2fe1c04a4f450ff3c4dadc5c6be1 SHA512 2f4ab17ae0c00bc1ac097aeda9fc791b98d8cf6ad31644bdf600a4c321894dea9974155950723e9d19b15c011eef81ab27dae1b2bc2eb4517611bac77bde590f

diff --git a/net-misc/croc/croc-9.6.13.ebuild b/net-misc/croc/croc-9.6.13.ebuild
new file mode 100644
index 000000000000..d49781a4bf65
--- /dev/null
+++ b/net-misc/croc/croc-9.6.13.ebuild
@@ -0,0 +1,47 @@
+# Copyright 2023-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit bash-completion-r1 go-module systemd
+
+DESCRIPTION="Easily and securely send things from one computer to another"
+HOMEPAGE="https://github.com/schollz/croc"
+SRC_URI="https://github.com/schollz/croc/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz
+https://dev.gentoo.org/~xgqt/distfiles/deps/${P}-vendor.tar.xz
+"
+
+LICENSE="Apache-2.0 BSD BSD-2 MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+
+RDEPEND="
+	acct-group/croc
+	acct-user/croc
+"
+
+DOCS=( README.md )
+
+src_prepare() {
+	default
+	# Replace User=nobody with User=croc
+	sed -i -e "s|\(^User=\).*|\1croc|g" croc.service || die
+	# Rename bash completion function
+	sed -i -e "s|_cli_bash_autocomplete|_croc|g" \
+		src/install/bash_autocomplete || die
+}
+
+src_compile() {
+	ego build
+}
+
+src_install() {
+	dobin croc
+	systemd_dounit croc.service
+	newbashcomp src/install/bash_autocomplete croc
+	einstalldocs
+}
+
+src_test() {
+	ego test -work ./...
+}


             reply	other threads:[~2024-03-07 17:38 UTC|newest]

Thread overview: 74+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-03-07 17:38 Maciej Barć [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-01 17:57 [gentoo-commits] repo/gentoo:master commit in: net-misc/croc/ Maciej Barć
2024-10-01 17:57 Maciej Barć
2024-10-01 17:57 Maciej Barć
2024-09-12 12:08 Maciej Barć
2024-07-31 22:13 Maciej Barć
2024-05-22  0:53 Sam James
2024-05-21 21:17 Maciej Barć
2024-04-27 22:42 Maciej Barć
2024-04-23  7:30 Maciej Barć
2024-04-23  7:30 Maciej Barć
2024-04-23  7:30 Maciej Barć
2024-03-07 17:38 Maciej Barć
2024-02-15 11:38 Maciej Barć
2024-02-01 10:10 Maciej Barć
2024-02-01 10:10 Maciej Barć
2023-09-18  9:50 Sam James
2023-07-02 16:30 Stephan Hartmann
2023-07-02 16:30 Stephan Hartmann
2022-12-17 15:20 Stephan Hartmann
2022-12-17 15:20 Stephan Hartmann
2022-08-20  9:44 Stephan Hartmann
2022-08-20  9:44 Stephan Hartmann
2022-05-24 19:00 Stephan Hartmann
2022-05-24 19:00 Stephan Hartmann
2022-05-07 14:04 Stephan Hartmann
2022-05-07 14:04 Stephan Hartmann
2022-04-08 18:30 Stephan Hartmann
2022-04-08 18:29 Stephan Hartmann
2022-02-27 18:19 Stephan Hartmann
2022-02-27 18:19 Stephan Hartmann
2022-02-06 21:26 Stephan Hartmann
2022-02-06 21:25 Stephan Hartmann
2021-11-21 18:01 Stephan Hartmann
2021-11-21 18:01 Stephan Hartmann
2021-10-16 17:29 Stephan Hartmann
2021-08-17  8:26 Stephan Hartmann
2021-08-17  8:26 Stephan Hartmann
2021-08-07 10:08 Stephan Hartmann
2021-08-07 10:07 Stephan Hartmann
2021-08-07  8:33 Yixun Lan
2021-06-22 21:09 Stephan Hartmann
2021-06-22 21:09 Stephan Hartmann
2021-06-16  6:37 Stephan Hartmann
2021-06-16  6:37 Stephan Hartmann
2021-06-11  9:25 Stephan Hartmann
2021-06-11  9:25 Stephan Hartmann
2021-05-13 13:32 Stephan Hartmann
2021-05-13 13:31 Stephan Hartmann
2021-05-13 13:28 Stephan Hartmann
2021-05-10 17:49 Stephan Hartmann
2021-04-30 19:18 Stephan Hartmann
2021-04-30 19:17 Stephan Hartmann
2021-04-28 21:16 Stephan Hartmann
2021-04-28 21:16 Stephan Hartmann
2021-04-19 13:49 Stephan Hartmann
2021-04-19 13:48 Stephan Hartmann
2021-03-27  9:01 Stephan Hartmann
2021-03-27  9:01 Stephan Hartmann
2021-03-19 18:38 Stephan Hartmann
2021-03-19 18:38 Stephan Hartmann
2021-03-19 18:35 Stephan Hartmann
2021-03-06  8:34 Stephan Hartmann
2021-03-06  8:34 Stephan Hartmann
2021-02-23 21:34 Stephan Hartmann
2020-12-29 15:04 Stephan Hartmann
2020-12-28 21:26 Stephan Hartmann
2020-11-19  6:49 Stephan Hartmann
2020-10-31 14:06 Stephan Hartmann
2020-10-30 19:59 Stephan Hartmann
2020-10-14 11:21 Stephan Hartmann
2020-10-13 18:12 Stephan Hartmann
2020-10-05 14:38 Stephan Hartmann
2020-09-20 18:30 Stephan Hartmann

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1709833081.63edc899ead6d92cc1b97076df501253d094b31d.xgqt@gentoo \
    --to=xgqt@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox